Skip to main content
GET
Get list of posts

Headers

Authorization
string
required

Personal access token, sent as Bearer <token>.

Path Parameters

workspace
string
required

The workspace UUID

Query Parameters

status
string

Post status: waiting, publishing, published, failed, needs_approval, draft

statuses[]
string[]

Post statuses: an array, or a comma-separated string without spaces

filters[profile_ids][]
string[]

Profile UUIDs to filter by: an array, or a comma-separated string

filters[group_id]
string<uuid>

Group UUID shared by posts created in the same bulk request

Search by input string

filters[publish_type]
string

Publish type: queue_using_timeslots, schedule_using_fixed_datetime, now, recurring

filters[publish_types][]
string[]

Publish types (same values as publish_type)

filters[labels][]
string[]

Selected labels

filters[post_type_id]
string

Selected Post Type ID

filters[date_range][]
string[]

Selected date range. Posts with published_at within interval

filters[publish_range][]
string[]

Selected date range. Posts with publish_at within interval

filters[sort_by]
string

Sort by selected parameter

per_page
integer | null

Number of elements per page

Required range: 1 <= x <= 100
page
integer | null

Requested page number

Required range: x >= 1

Response

data
PostResource · object[]
required

Main data

Links

meta
object
required

Pagination info, plus status_counts: post counts per status (waiting, publishing, published, failed, needs_approval, draft) for the current filters